// FileTransfer Protocol formal protocol
// file transfer protocol objects which are dynamically
// loaded must conform to this protocol
#import <objc/objc.h>	// BOOL defined

@protocol FileTransferProtocol

// sender is the FileTransferCntrl which has window to add stuff.
+ new:sender;	// sender is the FileTransferCntrl which has window to add stuff.

// send == 0, receive == 1, = dir.
// return an array of null terminated strings, last element must be null.
// (same as regular argv), with argv[0] = command to execute.
// up to 8 elements will be processed.
- (const char**)argv:(int)dir;

// show any protocol specific items...like xmodems receive filename.
- orderFront;  // show any protocol specific items...like xmodems receive filename.

- (const char*)name;				// [protocol title];
- setClassName:(const char *)name;

- (const char*)path;
- setClassPath:(const char *)path;

// this method is passed stderr messages which should contain the
// transfer file size and progress updates. It will return a positive value
// if one is found in the update string passed to it.
// incoming will be YES if we need to search for filesize first.
- (int)progressParser:(char*)update start:(BOOL)flag;

@end