#define	FSA_NOOP		0	/* Do nothing */
#define	FSA_DO			1	/* Send a selector to self */
#define	FSA_ADDCHAR		2	/* add input char to inputArgs buffer */
#define FSA_COL			3	/* Convert input byte to col */
#define FSA_ROW			4	/* Convert input byte to row */
#define	FSA_SEND		5	/* Send a selector to the screenVW */
#define	FSA_SEND1		6	/* Send a selector with: self */

#define	FSA_ABORT	  1000	/* State number to cause abort of sequence */

// ACSII CONTROL CODES
#define NUL			-128	// Null or 0
#define BEL				7	// rings bell
#define BS				8	// backspace...moves cursor to the left
#define HT				9	// horizontal tab
#define LF				10	// line feed...moves cursor down a line, scrolls if necessary
#define VT				11	// vertical tab	
#define FF				12	// form feed...clear the screen
#define CR				13	// carriage return...moves the cursor to column 0 (1).
#define CAN				24	// cancel current ansi sequence
#define	EM				25	// place cursor in row 1, col 1 (home)
							// see YTERM manual
#define	ESC				27	// Escape
#define FS				28	// move cursor 1 position to the right unless at right margin
							// see YTERM manual
#define GS				29	// executes an erase in line (EL) from the cursor to the end of the line.
							// see YTERM manual
#define RS				30	// EBIOS of a PC interprets this code and the two bytes which follow as 
							// absolute cursor position command...see YTERM manual
#define US				31	// moves the cursor up one line. If the cursor is already on the first line,
							// it does not move.
							// see YTERM manual

#define	SPACE			32
#define	SEMI			59	// semi-colon 0x3BH
#define DEL				127	// Delete... ignored

#define TABWIDTH 8
