// TerminalEmulator formal protocol
// terminal emulator objects which are dynamically loaded must conform to this protocol

#import <dpsclient/event.h>		// NXEvent type

@protocol TerminalEmulator

// screenController is sender and knows about screenView
- initWithCntrl:sender;

// should forward keyEvent to screenCntrl's sendText:(unsigned char*)buff
// if we want to send any key events to the opened port.
- keyDown:(NXEvent *)keyEvent;

// This method is called by screenController (sender above), and passes input from
// the opened port to the object which conforms to this protocol.
// This input can be processed as the terminal emulator designer wishes...
// from none...to some sort of graphical display.
// input should be send to [screenController's screenView] if the input
// is to be displayed by TeleComm in the opened screenView
- appendString:(unsigned char*)input;

@end